## org.apache.fop.dom.svg
Class SVGAnimatedNumberImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGAnimatedNumberImpl

public class SVGAnimatedNumberImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGAnimatedNumber

Constructor Summary
`SVGAnimatedNumberImpl(float b)`

Method Summary
`float` `getAnimVal()`
`float` `getBaseVal()`
`void` `setBaseVal(float baseVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimatedNumberImpl

    public SVGAnimatedNumberImpl(float b)

Method Detail

### getBaseVal

    public float getBaseVal()

  Specified by:
    getBaseVal in interface org.w3c.dom.svg.SVGAnimatedNumber

### setBaseVal

    public void setBaseVal(float baseVal)

  Specified by:
    setBaseVal in interface org.w3c.dom.svg.SVGAnimatedNumber

### getAnimVal

    public float getAnimVal()

  Specified by:
    getAnimVal in interface org.w3c.dom.svg.SVGAnimatedNumber

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.